package trace.ejb;

import java.sql.Timestamp;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * @author Masaki Ono
 */
public class RecordInputBeanLogic {
	/**
	 * Constructor for RecordInputBeanLogic.
	 */
	public RecordInputBeanLogic() {
		super();
	}
	/**
	 * Method setRecord.
	 * @param phase
	 * @param barcode
	 * @param time
	 */
	public void setRecord(int phase, String barcode, long time) {
		RecordLocal rec = null;
		Timestamp ts = new Timestamp(time);
		try {
			if (phase != 1) {
				rec = getHome().findByPrimaryKey(barcode);
			}
			switch (phase) {
				case 1 :
					rec = getHome().create(barcode);
					rec.setRecord1(ts);
					break;
				case 2 :
					rec.setRecord2(ts);
					break;
				case 3 :
					rec.setRecord3(ts);
					break;
				case 4 :
					rec.setRecord4(ts);
					break;
				case 5 :
					rec.setRecord5(ts);
					break;
				case 6 :
					rec.setRecord6(ts);
					break;
				case 7 :
					rec.setRecord7(ts);
					break;
				case 8 :
					rec.setRecord8(ts);
					break;
				case 9 :
					rec.setRecord9(ts);
					break;
				case 10 :
					rec.setRecord10(ts);
					break;
				default :
					break;
			}
		} catch (FinderException e) {
			e.printStackTrace();
		} catch (NamingException e) {
			e.printStackTrace();
		} catch (CreateException e) {
			e.printStackTrace();
		} finally {
			if (rec != null) {
				rec = null;
			}
		}
	}
	/**
	 * Method getHome.
	 * @return RecordLocalHome
	 * @throws NamingException
	 */
	private RecordLocalHome getHome() throws NamingException {
		InitialContext ctx = new InitialContext();
		return (RecordLocalHome) ctx.lookup("java:comp/env/ejb/RecordLocal");
	}
}
